ata_scsi_start_stop_xlat
Prev | Chapter 6. libata SCSI translation/emulation | Next

## Name

ata_scsi_start_stop_xlat — Translate SCSI START STOP UNIT command

## Synopsis

`unsigned int ata_scsi_start_stop_xlat (` | struct ata_queued_cmd * | qc`)`;

## Arguments

`qc`

  Storage for translated ATA taskfile

## Description

Sets up an ATA taskfile to issue STANDBY (to stop) or READ VERIFY (to start). Perhaps these commands should be preceded by CHECK POWER MODE to see what power mode the device is already in. [See SAT revision 5 at www.t10.org]

## LOCKING

spin_lock_irqsave(host lock)

## RETURNS

Zero on success, non-zero on error.

Prev | Up | Next
ata_gen_ata_sense | Home | ata_scsi_flush_xlat